package nsdb.LocationPackage;
final public class LocationNode_uHolder
	implements org.omg.CORBA.portable.Streamable
{
	public LocationNode_u value;

	public LocationNode_uHolder ()
	{
	}
	public LocationNode_uHolder (LocationNode_u initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return LocationNode_uHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = LocationNode_uHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		LocationNode_uHelper.write(out, value);
	}
}
